%define name gv
%define version 3.5.8
%define release 18.1mdk

Summary: An enhanced front-end for the ghostscript PostScript(TM) interpreter.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Publishing
BuildRequires: XFree86-devel Xaw3d-devel
Requires: ghostscript-module-X
Source0: ftp://thep.physik.uni-mainz.de/pub/gv/unix/%{name}-%{version}.tar.bz2
Source1: gv-xpm.tar.bz2
Patch0: gv-3.5.8-config.patch.bz2
Patch1: gv-3.5.8-alias.patch.bz2
Patch2: gv-3.5.8-xf4.patch.bz2
Patch3:	gv-3.5.8-buffer.patch.bz2
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter.  Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.  

Install the gv package if you'd like to view PostScript and PDF documents
on your system.  You'll also need to have the ghostscript package
installed, as well as the X Window System.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .alias
%patch2 -p0 -b .xf4
%patch3 -p1 -b .buffer

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT install.man
ln -sf gv $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/ghostview
gunzip doc/*gz

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xvfy %{SOURCE1}
install -m 0644 gv-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/gv.xpm
install -m 0644 gv-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/gv.xpm
install -m 0644 gv-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/gv.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="gv" \
		  icon="gv.xpm" \
		  needs="x11" \
		  section="Applications/Publishing" \
		  title="GhostView" \
		  longtitle="GhostView, PostScript and PDF viewer"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
%{_prefix}/X11R6/bin/gv
%{_prefix}/X11R6/lib/X11/gv
%{_prefix}/X11R6/lib/X11/app-defaults/GV
%{_prefix}/X11R6/man/man1/gv.*
%{_prefix}/X11R6/bin/ghostview
%{_menudir}/gv
%{_miconsdir}/gv.xpm
%{_iconsdir}/gv.xpm
%{_liconsdir}/gv.xpm

%changelog
* Tue Oct 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.5.8-18.1mdk
- security update for 8.0

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-18mdk
- updated menu title and long title.

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-17mdk
- added missing icons.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-16mdk
- macroszifications.
- removed /etc/X11/wmconfig/gv.

* Wed Aug 09 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-15mdk
- build release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.5.8-14mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-13mdk
- fixed requires to ghostscript-module-X.
- build release.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.5.8-12mdk
- Imake bugfix for XFree86-4.0

* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-11mdk
- added menu entry and icon.

* Fri Apr 07 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-10mdk
- Updated Group.

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
